#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from gettext import gettext as _

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk

from .configuration import *
from .window.preferences import PreferencesWindow

class Preferences(PreferencesWindow):

    def __init__(self, app = None, *args, **kwargs):
        super().__init__(*args, **kwargs)

        if app is not None:
            self.app = app

    def window(self):
        if self.app is not None and self.app.window is not None:
            self.set_transient_for(self.app.window)

        self.show()