#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk

class AboutWindow(Gtk.AboutDialog):

    def __init__(self, app = None, *args, **kwargs):
        super().__init__(*args, **kwargs)

        if app is not None:
            self.app = app

        self.connect("response", self.dialog_response)

        """
        Build Settings
        """
        self.set_modal(True)
        self.set_position(Gtk.WindowPosition.CENTER_ON_PARENT)

    def dialog_response(self, dialog, response):
        dialog.destroy()

    def show(self):
        self.show_all()
